extern uint32 module_version_chanserv_access_levels[];
extern char module_config_chanserv_access_levels[];
extern int init_module_chanserv_access_levels();
extern int exit_module_chanserv_access_levels();
extern uint32 module_version_chanserv_access_xop[];
extern char module_config_chanserv_access_xop[];
extern int init_module_chanserv_access_xop();
extern int exit_module_chanserv_access_xop();
extern uint32 module_version_chanserv_main[];
extern char module_config_chanserv_main[];
extern int init_module_chanserv_main();
extern int exit_module_chanserv_main();
extern char * s_ChanServ;
extern int32 CSMaxReg;
extern void reset_levels();
extern void get_access();
extern void check_access();
extern void check_access_if_idented();
extern void check_access_cmd();
extern void get_levelinfo();
extern void new_channelinfo();
extern void free_channelinfo();
extern void check_expire_channel();
extern void check_channel_limit();
extern uint32 module_version_chanserv_sendpass[];
extern char module_config_chanserv_sendpass[];
extern int init_module_chanserv_sendpass();
extern int exit_module_chanserv_sendpass();
extern uint32 module_version_database_version4[];
extern char module_config_database_version4[];
extern int init_module_database_version4();
extern int exit_module_database_version4();
extern void add_nickinfo();
extern void del_nickinfo();
extern void get_nickinfo();
extern void put_nickinfo();
extern void first_nickinfo();
extern void next_nickinfo();
extern void add_nickgroupinfo();
extern void del_nickgroupinfo();
extern void get_nickgroupinfo();
extern void put_nickgroupinfo();
extern void first_nickgroupinfo();
extern void next_nickgroupinfo();
extern void open_nick_db();
extern void sync_nick_db();
extern void close_nick_db();
extern void add_channelinfo();
extern void del_channelinfo();
extern void get_channelinfo();
extern void put_channelinfo();
extern void first_channelinfo();
extern void next_channelinfo();
extern void open_channel_db();
extern void sync_channel_db();
extern void close_channel_db();
extern void get_operserv_data();
extern void put_operserv_data();
extern void open_operserv_db();
extern void sync_operserv_db();
extern void close_operserv_db();
extern void add_news();
extern void del_news();
extern void get_news();
extern void put_news();
extern void first_news();
extern void next_news();
extern void open_news_db();
extern void sync_news_db();
extern void close_news_db();
extern void add_maskdata();
extern void del_maskdata();
extern void get_maskdata();
extern void put_maskdata();
extern void first_maskdata();
extern void next_maskdata();
extern void open_akill_db();
extern void sync_akill_db();
extern void close_akill_db();
extern void get_exception_by_num();
extern void move_exception();
extern void open_exception_db();
extern void sync_exception_db();
extern void close_exception_db();
extern void open_sline_db();
extern void sync_sline_db();
extern void close_sline_db();
extern uint32 module_version_encryption_md5[];
extern char module_config_encryption_md5[];
extern int init_module_encryption_md5();
extern int exit_module_encryption_md5();
extern uint32 module_version_httpd_auth_ip[];
extern char module_config_httpd_auth_ip[];
extern int init_module_httpd_auth_ip();
extern int exit_module_httpd_auth_ip();
extern uint32 module_version_httpd_auth_password[];
extern char module_config_httpd_auth_password[];
extern int init_module_httpd_auth_password();
extern int exit_module_httpd_auth_password();
extern uint32 module_version_httpd_dbaccess[];
extern char module_config_httpd_dbaccess[];
extern int init_module_httpd_dbaccess();
extern int exit_module_httpd_dbaccess();
extern uint32 module_version_httpd_debug[];
extern char module_config_httpd_debug[];
extern int init_module_httpd_debug();
extern int exit_module_httpd_debug();
extern uint32 module_version_httpd_main[];
extern char module_config_httpd_main[];
extern int init_module_httpd_main();
extern int exit_module_httpd_main();
extern uint32 module_version_httpd_redirect[];
extern char module_config_httpd_redirect[];
extern int init_module_httpd_redirect();
extern int exit_module_httpd_redirect();
extern uint32 module_version_httpd_top_page[];
extern char module_config_httpd_top_page[];
extern int init_module_httpd_top_page();
extern int exit_module_httpd_top_page();
extern uint32 module_version_mail_main[];
extern char module_config_mail_main[];
extern int init_module_mail_main();
extern int exit_module_mail_main();
extern void * low_send;
extern void sendmail();
extern uint32 module_version_mail_sendmail[];
extern char module_config_mail_sendmail[];
extern int init_module_mail_sendmail();
extern int exit_module_mail_sendmail();
extern uint32 module_version_mail_smtp[];
extern char module_config_mail_smtp[];
extern int init_module_mail_smtp();
extern int exit_module_mail_smtp();
extern uint32 module_version_memoserv_forward[];
extern char module_config_memoserv_forward[];
extern int init_module_memoserv_forward();
extern int exit_module_memoserv_forward();
extern uint32 module_version_memoserv_ignore[];
extern char module_config_memoserv_ignore[];
extern int init_module_memoserv_ignore();
extern int exit_module_memoserv_ignore();
extern uint32 module_version_memoserv_main[];
extern char module_config_memoserv_main[];
extern int init_module_memoserv_main();
extern int exit_module_memoserv_main();
extern int32 MSMaxMemos;
extern uint32 module_version_misc_devnull[];
extern char module_config_misc_devnull[];
extern int init_module_misc_devnull();
extern int exit_module_misc_devnull();
extern uint32 module_version_misc_helpserv[];
extern char module_config_misc_helpserv[];
extern int init_module_misc_helpserv();
extern int exit_module_misc_helpserv();
extern uint32 module_version_misc_xml_export[];
extern char module_config_misc_xml_export[];
extern int init_module_misc_xml_export();
extern int exit_module_misc_xml_export();
extern void xml_export();
extern uint32 module_version_misc_xml_import[];
extern char module_config_misc_xml_import[];
extern int init_module_misc_xml_import();
extern int exit_module_misc_xml_import();
extern uint32 module_version_nickserv_access[];
extern char module_config_nickserv_access[];
extern int init_module_nickserv_access();
extern int exit_module_nickserv_access();
extern uint32 module_version_nickserv_autojoin[];
extern char module_config_nickserv_autojoin[];
extern int init_module_nickserv_autojoin();
extern int exit_module_nickserv_autojoin();
extern uint32 module_version_nickserv_link[];
extern char module_config_nickserv_link[];
extern int init_module_nickserv_link();
extern int exit_module_nickserv_link();
extern uint32 module_version_nickserv_mail_auth[];
extern char module_config_nickserv_mail_auth[];
extern int init_module_nickserv_mail_auth();
extern int exit_module_nickserv_mail_auth();
extern uint32 module_version_nickserv_main[];
extern char module_config_nickserv_main[];
extern int init_module_nickserv_main();
extern int exit_module_nickserv_main();
extern char * s_NickServ;
extern void new_nickinfo();
extern void free_nickinfo();
extern void new_nickgroupinfo();
extern void free_nickgroupinfo();
extern void check_expire_nick();
extern void _get_ngi();
extern void _get_ngi_id();
extern void has_identified_nick();
extern uint32 module_version_nickserv_oldlink[];
extern char module_config_nickserv_oldlink[];
extern int init_module_nickserv_oldlink();
extern int exit_module_nickserv_oldlink();
extern uint32 module_version_nickserv_sendpass[];
extern char module_config_nickserv_sendpass[];
extern int init_module_nickserv_sendpass();
extern int exit_module_nickserv_sendpass();
extern uint32 module_version_operserv_akill[];
extern char module_config_operserv_akill[];
extern int init_module_operserv_akill();
extern int exit_module_operserv_akill();
extern int EnableExclude;
extern void create_akill();
extern uint32 module_version_operserv_main[];
extern char module_config_operserv_main[];
extern int init_module_operserv_main();
extern int exit_module_operserv_main();
extern char * s_OperServ;
extern char * s_GlobalNoticer;
extern char * ServicesRoot;
extern void is_services_root();
extern void is_services_admin();
extern void is_services_oper();
extern void nick_is_services_admin();
extern void nick_is_services_oper();
extern void check_expire_maskdata();
extern uint32 module_version_operserv_news[];
extern char module_config_operserv_news[];
extern int init_module_operserv_news();
extern int exit_module_operserv_news();
extern uint32 module_version_operserv_sessions[];
extern char module_config_operserv_sessions[];
extern int init_module_operserv_sessions();
extern int exit_module_operserv_sessions();
extern uint32 module_version_operserv_sline[];
extern char module_config_operserv_sline[];
extern int init_module_operserv_sline();
extern int exit_module_operserv_sline();
extern void create_sline();
extern uint32 module_version_protocol_bahamut[];
extern char module_config_protocol_bahamut[];
extern int init_module_protocol_bahamut();
extern int exit_module_protocol_bahamut();
extern uint32 module_version_protocol_dalnet[];
extern char module_config_protocol_dalnet[];
extern int init_module_protocol_dalnet();
extern int exit_module_protocol_dalnet();
extern uint32 module_version_protocol_dreamforge[];
extern char module_config_protocol_dreamforge[];
extern int init_module_protocol_dreamforge();
extern int exit_module_protocol_dreamforge();
extern uint32 module_version_protocol_hybrid[];
extern char module_config_protocol_hybrid[];
extern int init_module_protocol_hybrid();
extern int exit_module_protocol_hybrid();
extern uint32 module_version_protocol_monkey[];
extern char module_config_protocol_monkey[];
extern int init_module_protocol_monkey();
extern int exit_module_protocol_monkey();
extern uint32 module_version_protocol_ptlink[];
extern char module_config_protocol_ptlink[];
extern int init_module_protocol_ptlink();
extern int exit_module_protocol_ptlink();
extern uint32 module_version_protocol_rfc1459[];
extern char module_config_protocol_rfc1459[];
extern int init_module_protocol_rfc1459();
extern int exit_module_protocol_rfc1459();
extern uint32 module_version_protocol_trircd[];
extern char module_config_protocol_trircd[];
extern int init_module_protocol_trircd();
extern int exit_module_protocol_trircd();
extern uint32 module_version_protocol_ts8[];
extern char module_config_protocol_ts8[];
extern int init_module_protocol_ts8();
extern int exit_module_protocol_ts8();
extern uint32 module_version_protocol_undernet_p9[];
extern char module_config_protocol_undernet_p9[];
extern int init_module_protocol_undernet_p9();
extern int exit_module_protocol_undernet_p9();
extern uint32 module_version_protocol_unreal[];
extern char module_config_protocol_unreal[];
extern int init_module_protocol_unreal();
extern int exit_module_protocol_unreal();
extern uint32 module_version_statserv_main[];
extern char module_config_statserv_main[];
extern int init_module_statserv_main();
extern int exit_module_statserv_main();
extern void new_serverstats();
extern void free_serverstats();
